import request from '@/utils/request'

// 查询个体年报修改信息列表
export function listUpdate(query) {
  return request({
    url: '/basicData/xcrAnnualReportUpdate/findByPage',
    method: 'get',
    params: query
  })
}

// 查询个体年报修改信息详细
export function getUpdate(xhCodeId) {
  return request({
    url: '/basicData/xcrAnnualReportUpdate/' + xhCodeId,
    method: 'get'
  })
}

// 新增个体年报修改信息
export function addUpdate(data) {
  return request({
    url: '/basicData/xcrAnnualReportUpdate',
    method: 'post',
    data: data
  })
}

// 修改个体年报修改信息
export function updateUpdate(data) {
  return request({
    url: '/basicData/xcrAnnualReportUpdate',
    method: 'put',
    data: data
  })
}

// 删除个体年报修改信息
export function delUpdate(xhCodeId) {
  return request({
    url: '/basicData/xcrAnnualReportUpdate/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delUpdateBatch(ids) {
  return request.post('/basicData/xcrAnnualReportUpdate/delete',ids)
}
